// xxxMessage.h

#ifndef xxxMessageH
#define xxxMessageH

class Message;
class DLList;

class xxxMessage : public Message
{
public:
    xxxMessage();
    virtual ~xxxMessage() {}
    virtual void init();
    virtual int32  toBuffer(char **buffer) const;
    virtual int32  fromBuffer(const char **buffer);
    virtual int32  fromBufferSwitch(const char **buffer);
    virtual void print() const;
    static void *operator new(size_t size);
    void operator delete(void *p, size_t size);
private:
    static DLList *pFreeList;
    // Disallow copy constructor, assignment operator 
    xxxMessage(const xxxMessage&);
    xxxMessage& operator=(const xxxMessage&);
};

inline xxxMessage:: xxxMessage() : Message(messageTypexxx), value(0)
{ init(); }

#endif /*xxxMessageH*/
