// watchDogTest.cc

extern "C" {
#include <stdlib.h>
#include <stddef.h>
#include <string.h>
#include <stdio.h>

#include <semLib.h>
#include <tickLib.h>
#include <taskLib.h>
}

#include "WatchDog.h"

static void myCallback(void *pvt)
{
    printf("myCallback pvt %p\n",pvt);
}

int watchDogTest()
{
    WatchDog *pwatchDog = new WatchDog;
    printf("call start and see if callback occurs\n");
    pwatchDog->start(1,myCallback,0);
    taskDelay(120);
    printf("call start and cancel callback\n");
    pwatchDog->start(1,myCallback,0);
    taskDelay(2);
    pwatchDog->cancel();
    printf("call start and see if callback occurs\n");
    pwatchDog->start(1,myCallback,(void *)4);
    taskDelay(120);
    delete pwatchDog;
    return(0);
}

