// serverChar8Array.cc
#include <stdlib.h>
#include <stddef.h>
#include <string.h>
#include <stdio.h>

#include "Message.h"
#include "Char8ArrayMessage.h"

int serverChar8ArrayDebug=0;


int serverChar8Array(char *name,int queueSize)
{
    Message       *message;
    MessageServer *pMessageServer;

    pMessageServer = new MessageServer(name,queueSize);
    bool allocNew = false;
    while(TRUE) {
	pMessageServer->waitForMessage();
	while((message = pMessageServer->receive())) {
	    if(message->getType()!=messageTypeChar8Array) {
	        printf("serverChar8Array got illegal message type %d\n",
		    message->getType());
	    } else {
		Char8ArrayMessage  *preceive = (Char8ArrayMessage *)message;
		Char8ArrayMessage *psend;
		if(allocNew) {
		    psend = (Char8ArrayMessage *)pMessageServer->
			allocReplyMessage(preceive,messageTypeChar8Array);
		    psend->allocValue(preceive->getSize());
		    ::strcpy(psend->value,preceive->value);
		    psend->setSize(preceive->getSize());
		    delete preceive;
		    allocNew = false;
		} else {
	            psend = preceive;
		    allocNew = true;
		}
		if(serverChar8ArrayDebug) {
		    char buffer[100];

		    sprintf(buffer,"serverChar8Array %s psend %p\n",
			    psend->value,psend);
		    printf("%s",buffer);
		}
	        pMessageServer->reply(psend);
	    }
	}
    }
    return(0);
}
